Subject: categories: banach operations

From: Michael Barr <[email-masked]>
Date: Sat, 1 Jan 2000 11:48:43 -0500 (EST)

Peter's last posting reminded me of something that may or may not be
relevant.  Sometime in the previous millennium (actually, around 3
decades ago) John Isbell made an observation that amounted to the
statment that the equational theory of the unit ball functor of banach
spaces (which has many more algebras than banach spaces) could be
described by negation and an aleph_0-ary operation that takes {x_i} to
\sum_{i=1}^\infty 2^{-i}x_i (and appropriate equations).  Now a midpoint
algebra with involution, as described by Peter, has all such finitary
sums and if you also assume it complete, I think it is likely exactly a
model of the banach space theory.

Michael